directories:
  output: release
  buildResources: electron/assets
appId: com.3dns.meet
productName: 3DNS Meet
npmRebuild: false
protocols:
  - name: 3DNS Meet
    schemes:
      - threedns-meet
  - name: Telephone
    schemes:
      - tel
files:
  - filter:
      - electron/**/*
      - '!electron/assets/icon.svg'
      - client/dist/**/*
      - node_modules/electron-updater/**/*
      - node_modules/builder-util-runtime/**/*
      - node_modules/fs-extra/**/*
      - node_modules/graceful-fs/**/*
      - node_modules/jsonfile/**/*
      - node_modules/universalify/**/*
      - node_modules/js-yaml/**/*
      - node_modules/lazy-val/**/*
      - node_modules/lodash.escaperegexp/**/*
      - node_modules/lodash.isequal/**/*
      - node_modules/semver/**/*
      - node_modules/tiny-typed-emitter/**/*
      - node_modules/debug/**/*
      - node_modules/ms/**/*
      - node_modules/sax/**/*
publish:
  provider: generic
  url: https://cloud.3dns.eu/repo/apps/3dns-meet/
win:
  target:
    - target: nsis
      arch:
        - x64
        - arm64
  icon: electron/assets/icon.ico
nsis:
  oneClick: true
  perMachine: false
  allowToChangeInstallationDirectory: false
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: 3DNS Meet
  artifactName: 3DNS-Meet-Setup-${arch}.${ext}
mac:
  target:
    - dmg
    - zip
  icon: electron/assets/icon.icns
  artifactName: 3DNS-Meet.${ext}
  category: public.app-category.social-networking
  entitlements: electron/assets/entitlements.mac.plist
  entitlementsInherit: electron/assets/entitlements.mac.plist
  extendInfo:
    NSCameraUsageDescription: This app needs access to the camera
    NSMicrophoneUsageDescription: This app needs access to the microphone
linux:
  target:
    - target: AppImage
      arch:
        - x64
    - target: deb
      arch:
        - x64
    - target: pacman
      arch:
        - x64
  executableName: 3dns-meet
  icon: electron/assets/icon.png
  category: Network
  artifactName: 3DNS-Meet-${arch}.${ext}
  desktop:
    Name: 3DNS Meet
    Comment: Voice, Video & Chat
    Categories: Network;InstantMessaging;Chat;AudioVideo;
    StartupWMClass: 3dns-meet
  synopsis: 3DNS Meet - Voice, Video & Chat
  description: Communication platform with voice channels, video calls and chat.
deb:
  depends:
    - libnotify4
    - libxtst6
    - libnss3
    - libsecret-1-0
    - libayatana-appindicator3-1
  artifactName: 3DNS-Meet-${arch}.${ext}
pacman:
  depends:
    - libnotify
    - libxtst
    - nss
    - libsecret
    - libappindicator-gtk3
  artifactName: 3DNS-Meet-${arch}.pkg.tar.zst
electronVersion: 40.4.1
